Bug 1272614 - [f23 - tc11] fedora-cloud-base actually needs kbd rpm
[f23 - tc11] fedora-cloud-base actually needs kbd rpm
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 18:19 EDT by Dusty Mabe
Modified: 2016-12-20 10:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:01:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Path to add kbd/plymouth rpms back. (1.22 KB, patch)
2015-10-17 11:54 EDT, Dusty Mabe
no flags Details | Diff

  None (edit)
Description Dusty Mabe 2015-10-16 18:19:53 EDT
Description of problem:

When BZ1199868 was fixed it made a bunch of our excludes for fedora-cloud-base start working. One of these was the kbd package which apparently makes systemd-vconsole-setup.service fail on boot. This is because the setfont and loadkeys utilities (provided by kbd rpm) aren't installed: 

```
[fedora@testcloud ~]$ systemctl --all --failed
  UNIT                         LOAD   ACTIVE SUB    DESCRIPTION
● systemd-vconsole-setup.service loaded failed failed Setup Virtual Console
...
[root@cloudhost ~]# /usr/lib/systemd/systemd-vconsole-setup
/usr/bin/setfont failed with error code 1.
/usr/bin/loadkeys failed with error code 1.
```

We need to add kbd back for F23.



Version-Release number of selected component (if applicable):
http://dl.fedoraproject.org/pub/alt/stage/23_TC11/Cloud_Images/x86_64/Images/Fedora-Cloud-Base-23_TC11-20151016.x86_64.qcow2
Comment 1 Dusty Mabe 2015-10-17 11:38:24 EDT
Apparently we also need to include plymouth because of https://bugzilla.redhat.com/show_bug.cgi?id=1272684.
Comment 2 Dusty Mabe 2015-10-17 11:54 EDT
Created attachment 1083940 [details]
Path to add kbd/plymouth rpms back.
Comment 3 Fedora End Of Life 2016-11-24 07:48:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 10:01:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.